body{
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(rgba(255, 255, 255, 0.1) 0%, rgb(0, 0, 0) 100%);
    font-family: sans-serif;
    height: 100vh; 
    margin: 0; 
}

h1{
    margin-top: 100px;
    margin-bottom: 20px;
}

p{
    font: 20px 'Gotham';
    letter-spacing: normal;
}

.loginBox{
    width: 600px;
    height: 800px;
    background: #000000;
    color: aliceblue;
    box-sizing: border-box;
    text-align: center;
    border-radius: 5%;
    position: relative;
}

.userImg{
    width: 150px;
    height: 150px;
    border-radius: 50%;
    position: absolute; 
    top: -10%;
    left: 50%; 
    transform: translateX(-50%); 
    z-index: 1; 
}

.social-container {
    width: 100%;
    height: 70px;
}


.social-container a {
	background-color: #363636;
    border-radius: 30%;
	display: inline-flex;
	justify-content: center;
	align-items: center;
	margin: 0 10px 50px;
	height: 50px;
	width: 50px;
}



.loginBox h1 {
    font: 50px 'Gotham';
    letter-spacing: normal;
}

.loginBox form {
    margin-top: 10px; 
}

.loginBox input {
   width: 80%;
   margin-bottom: 20px;
}

.loginBox input[type='text'], input[type='password'] {
    border: none;
    border-bottom: 1px solid #fff;
    background: transparent;
    outline: none;
    height: 40px;
    font: 111px 'Gotham' sans-serif;
    color: aliceblue;
}

::placeholder {
    font-family: 'Gotham', serif; 
}

.loginBox input[type='submit'] {
    background-color: #363636;
    font: 20px 'Gotham';
    color: aliceblue;
    border: none;
    width: 150px;
    height: 60px;
    margin-top: 10px;
    border-radius: 15px;
    transition: background-color 0.11s; 
    cursor: pointer;
}

.mainInfi{
    padding-left: 45px;
    padding-top: 30px;
    padding-bottom: 20px;
    text-align: left;
}

.help-links{
    color: #fff;  
}

.password-container {
    display: flex;
    align-items: center;
}

.password-container input {
    width: 80%;
    margin-bottom: 20px;
    border: none;
    border-bottom: 1px solid #fff;
    background: transparent;
    outline: none;
    height: 40px;
    font: 16px 'Gotham' sans-serif;
    color: aliceblue;
}

.password-container button {
    border: none;
    background: transparent;
    color: #fff;
    cursor: pointer;
    margin-left: 10px; 
}

/* animation */

.loginBox input[type="submit"]:active {
    background-color: #0056b3; 
  }


  .mainInfi p  {
  font-size: 20px;
  transition: font-size 0.5s ease;
}

.social-container a {
    opacity: 0;
    position: relative;
    animation: fadeInTop 1s ease-in-out forwards;
}



@keyframes fadeInTop {
    0% {
        top: -55px; 
    }
    100% {
        top: 0;
        opacity: 1;
    }
}
  

/* screen adaptive */

@media (max-width: 600px) {
    .loginBox {
        border-radius: 0; 
    }

    .userImg {
        width: 80px;
        height: 80px;
        border-radius: 50%;
        position: absolute; 
        top: 0;
        left: 50%; 
    }

    .social-container {
        margin-top: 20px; 
    }

    .mainInfo {
        padding: 20px; 
    }

    .loginBox input[type='text'],
    .loginBox input[type='password'] {
        font-size: 10px; 
    }

    .password-container button {
        font-size: 10px; 
    }
}

@media (max-width: 400px) {
    .loginBox {
        border-radius: 0;
    }

    .userImg {
        opacity: 0;
    }

    .social-container {
        margin-top: 20px;
    }

    .mainInfo {
        padding: 20px;
    }

    .loginBox input[type='text'],
    .loginBox input[type='password'] {
        font-size: 10px; 
    }

    .password-container button {
        font-size: 10px; 
    }
}

@media (max-height: 900px) {
    .loginBox {
        border-radius: 0;
    }

    .userImg {
        width: 80px;
        height: 80px;
        border-radius: 50%;
        position: absolute; 
        top: 0;
        left: 50%; 
    }

    .social-container {
        margin-top: 20px; 
    }

    .mainInfo {
        padding: 20px; 
    }

    .loginBox input[type='text'],
    .loginBox input[type='password'] {
        font-size: 16px; 
    }

    .password-container button {
        font-size: 20px; 
    }
}


/* font connection */
@font-face {
    font-family: 'Gotham'; 
    src: url(../Login-Form-Using/fonts/Gotham-Bold.otf); 
}
